BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
BMA.EHR.Application.Repositories.Leaves.TimeAttendants.UserDutyTimeRepository Class Reference
Inheritance diagram for BMA.EHR.Application.Repositories.Leaves.TimeAttendants.UserDutyTimeRepository:

## Public Member Functions
| UserDutyTimeRepository (ILeaveDbContext dbContext, IHttpContextAccessor httpContextAccessor, OrganizationCommonRepository organizationCommonRepository, UserProfileRepository userProfileRepository, IConfiguration configuration, EmailSenderService emailSenderService)
void | UpdateUserDutyTime ()
async Task< List< UserDutyTime > > | GetListByProfileIdAsync (Guid profileId)
async Task< UserDutyTime?> | GetExist (Guid profileId, DateTime effectiveDate)
async Task< UserDutyTime?> | GetLastEffectRound (Guid profileId)
async Task< UserDutyTime?> | GetFirstInUseRound (Guid id)
Public Member Functions inherited from BMA.EHR.Application.Repositories.Leaves.GenericLeaveRepository< Guid, UserDutyTime >
| GenericLeaveRepository (ILeaveDbContext dbContext, IHttpContextAccessor httpContextAccessor)
virtual async Task< IReadOnlyList< T > > | GetAllAsync ()
virtual async Task< T?> | GetByIdAsync (S id)
virtual async Task< T > | AddAsync (T entity)
virtual async Task< T > | UpdateAsync (T entity)
virtual async Task | DeleteAsync (T entity)

## Properties
Guid | UserOrganizationId`[get]`
Properties inherited from BMA.EHR.Application.Repositories.Leaves.GenericLeaveRepository< Guid, UserDutyTime >
string? | UserId`[get]`
string? | FullName`[get]`
bool? | IsPlacementAdmin`[get]`

## Constructor & Destructor Documentation

## ◆ UserDutyTimeRepository()

BMA.EHR.Application.Repositories.Leaves.TimeAttendants.UserDutyTimeRepository.UserDutyTimeRepository | ( | ILeaveDbContext | dbContext,
|  | IHttpContextAccessor | httpContextAccessor,
|  | OrganizationCommonRepository | organizationCommonRepository,
|  | UserProfileRepository | userProfileRepository,
|  | IConfiguration | configuration,
|  | EmailSenderService | emailSenderService
| ) |  |
| inline

## Member Function Documentation

## ◆ GetExist()

async Task< UserDutyTime?> BMA.EHR.Application.Repositories.Leaves.TimeAttendants.UserDutyTimeRepository.GetExist | ( | Guid | profileId,
|  | DateTime | effectiveDate
| ) |  |
| inline

## ◆ GetFirstInUseRound()

async Task< UserDutyTime?> BMA.EHR.Application.Repositories.Leaves.TimeAttendants.UserDutyTimeRepository.GetFirstInUseRound | ( | Guid | id | ) |
| inline

## ◆ GetLastEffectRound()

async Task< UserDutyTime?> BMA.EHR.Application.Repositories.Leaves.TimeAttendants.UserDutyTimeRepository.GetLastEffectRound | ( | Guid | profileId | ) |
| inline

## ◆ GetListByProfileIdAsync()

async Task< List< UserDutyTime > > BMA.EHR.Application.Repositories.Leaves.TimeAttendants.UserDutyTimeRepository.GetListByProfileIdAsync | ( | Guid | profileId | ) |
| inline

## ◆ UpdateUserDutyTime()

void BMA.EHR.Application.Repositories.Leaves.TimeAttendants.UserDutyTimeRepository.UpdateUserDutyTime | ( |  | ) |
| inline

## Property Documentation

## ◆ UserOrganizationId

Guid BMA.EHR.Application.Repositories.Leaves.TimeAttendants.UserDutyTimeRepository.UserOrganizationId
| get protected

The documentation for this class was generated from the following file:

- BMA.EHR.Application/Repositories/Leaves/TimeAttendants/UserDutyTimeRepository.cs